Bug 594809 - rhel not able to synchronize time from a network time server
Summary: rhel not able to synchronize time from a network time server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 16:39 UTC by Praveen Arimbrathodiyil
Modified: 2013-06-17 04:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 13:07:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot with wrong system time and correct time from timeanddate.com (97.98 KB, image/png)
2010-05-21 16:39 UTC, Praveen Arimbrathodiyil
no flags Details
/etc/ntp.conf (1.87 KB, application/octet-stream)
2010-05-25 12:58 UTC, Praveen Arimbrathodiyil
no flags Details

Description Praveen Arimbrathodiyil 2010-05-21 16:39:54 UTC
Created attachment 415730 [details]
screenshot with wrong system time and correct time from timeanddate.com

Description of problem:

Even though "Synchronize date and time over the network" is selected from System -> Administration -> Date & Time, synchronization is not happening.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to System -> Administration -> Date & Time
2. Select "Synchronize date and time over the network" option
3. Observe system time
  
Actual results:

System time is not actual time

Expected results:

Synchronize time and set correct system time.

Additional info:

May 22 03:30:22 savannah-test ntpd[23043]: ntpd 4.2.4p8@1.1612-o Thu Dec 10 15:10:33 UTC 2009 (1)
May 22 03:30:22 savannah-test ntpd[23047]: precision = 0.066 usec
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #0 wildcard, 0.0.0.0#123 Disabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #1 wildcard, ::#123 Disabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #2 lo, ::1#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #3 eth0, fe80::226:b9ff:fe81:851c#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #4 lo, 127.0.0.1#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #5 br0, 10.65.201.24#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #6 virbr2, 192.168.100.1#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on interface #7 virbr0, 192.168.122.1#123 Enabled
May 22 03:30:22 savannah-test ntpd[23047]: Listening on routing socket on fd #24 for interface updates
May 22 03:30:22 savannah-test ntpd[23047]: kernel time sync status 2040

Comment 1 Praveen Arimbrathodiyil 2010-05-21 16:43:27 UTC
This is a Dell Precision T3500 workstation

Comment 3 Miroslav Lichvar 2010-05-21 16:52:25 UTC
Can you please attach /etc/ntp.conf as created by system-config-date and output of "ntpq -pn" command?

Comment 4 Praveen Arimbrathodiyil 2010-05-25 12:58:00 UTC
Created attachment 416391 [details]
/etc/ntp.conf

[root@savannah-test ~]# ntpq -pn
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
 118.107.60.254  .INIT.          16 u    -   64    0    0.000    0.000   0.000
 202.174.101.10  .INIT.          16 u    -   64    0    0.000    0.000   0.000
 192.189.54.17   .INIT.          16 u    -   64    0    0.000    0.000   0.000

Comment 5 Miroslav Lichvar 2010-05-25 13:07:34 UTC
Zeroes in the reach column means that there were no responses from the NTP servers. This is usually a firewall issue.

If a list of NTP servers is provided by DHCP in your local network, you may be hitting bug #591140.

Comment 6 Praveen Arimbrathodiyil 2010-05-25 14:02:38 UTC
even after stopping iptables service, reach is zero.

[root@savannah-test ~]# /etc/init.d/iptables stop
iptables: ഫയര്‍വോള്‍ നിയമങ്ങള്‍ വെടിപ്പാക്കുന്നു: [  ശരി  ]
iptables: പോളിസി ACCEPT-ലേക്ക് ശൃംഖലകള്‍ ക്രമികരിക്കുന്നു: nat filter [  ശരി  ]
iptables: ഘടകങ്ങള്‍ അണ്‍ലോട് ചെയ്യുന്നു: [  ശരി  ]
[root@savannah-test ~]# ntpq -pn
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
 118.107.60.254  .INIT.          16 u    - 1024    0    0.000    0.000   0.000
 202.174.101.10  .INIT.          16 u    - 1024    0    0.000    0.000   0.000
 192.189.54.17   .INIT.          16 u    - 1024    0    0.000    0.000   0.000
[root@savannah-test ~]#


Note You need to log in before you can comment on or make changes to this bug.